##
##  browsersync.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_browsersync      2.29.3
%define       V_browsersync_snap 20230618

#   package information
Name:         browsersync
Summary:      Time-Saving Synchronised Browser Testing Environment
URL:          http://www.browsersync.io/
Vendor:       JH
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      Apache
Version:      %{V_browsersync}
Release:      20230618

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/browsersync/browsersync-%{V_browsersync}-%{V_browsersync_snap}.tar.xz
Source1:      browsersync.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node, npm

%description
    BrowserSync keeps multiple browsers and devices in sync when
    building websites.

%track
    prog browsersync = {
        version   = %{version}
        url       = https://github.com/BrowserSync/browser-sync/releases
        regex     = v(\d+\.\d+\.\d+)
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/browsersync
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE browsersync.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/browser-sync
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/browsersync/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

